org.sqlite

## Enum SQLiteConfig.Pragma

- java.lang.Object
- - java.lang.Enum<SQLiteConfig.Pragma>
  - - org.sqlite.SQLiteConfig.Pragma

All Implemented Interfaces:
  Serializable, Comparable<SQLiteConfig.Pragma>

Enclosing class:
  SQLiteConfig

    public static enum SQLiteConfig.Pragma
    extends Enum<SQLiteConfig.Pragma>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`APPLICATION_ID`
`BUSY_TIMEOUT`
`CACHE_SIZE`
`CASE_SENSITIVE_LIKE`
`COUNT_CHANGES`
`DATE_CLASS`
`DATE_PRECISION`
`DATE_STRING_FORMAT`
`DEFAULT_CACHE_SIZE`
`DEFER_FOREIGN_KEYS`
`EMPTY_RESULT_CALLBACKS`
`ENCODING`
`FOREIGN_KEYS`
`FULL_COLUMN_NAMES`
`FULL_SYNC`
`HEXKEY_MODE`
`INCREMENTAL_VACUUM`
`JOURNAL_MODE`
`JOURNAL_SIZE_LIMIT`
`LEGACY_FILE_FORMAT`
`LIMIT_ATTACHED`
`LIMIT_COLUMN`
`LIMIT_COMPOUND_SELECT`
`LIMIT_EXPR_DEPTH`
`LIMIT_FUNCTION_ARG`
`LIMIT_LENGTH`
`LIMIT_LIKE_PATTERN_LENGTH`
`LIMIT_SQL_LENGTH`
`LIMIT_TRIGGER_DEPTH`
`LIMIT_VARIABLE_NUMBER`
`LIMIT_VDBE_OP`
`LIMIT_WORKER_THREADS`
`LOAD_EXTENSION`
`LOCKING_MODE`
`MAX_PAGE_COUNT`
`MMAP_SIZE`
`OPEN_MODE`
`PAGE_SIZE`
`PASSWORD`
`READ_UNCOMMITTED`
`RECURSIVE_TRIGGERS`
`REVERSE_UNORDERED_SELECTS`
`SECURE_DELETE`
`SHARED_CACHE`
`SHORT_COLUMN_NAMES`
`SYNCHRONOUS`
`TEMP_STORE`
`TEMP_STORE_DIRECTORY`
`TRANSACTION_MODE`
`USER_VERSION`

### Field Summary

Fields
`String[]` `choices`
`String` `description`
`String` `pragmaName`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getPragmaName()`
`static SQLiteConfig.Pragma` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SQLiteConfig.Pragma[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OPEN_MODE

    public static final SQLiteConfig.Pragma OPEN_MODE

#### SHARED_CACHE

    public static final SQLiteConfig.Pragma SHARED_CACHE

#### LOAD_EXTENSION

    public static final SQLiteConfig.Pragma LOAD_EXTENSION

#### CACHE_SIZE

    public static final SQLiteConfig.Pragma CACHE_SIZE

#### MMAP_SIZE

    public static final SQLiteConfig.Pragma MMAP_SIZE

#### CASE_SENSITIVE_LIKE

    public static final SQLiteConfig.Pragma CASE_SENSITIVE_LIKE

#### COUNT_CHANGES

    public static final SQLiteConfig.Pragma COUNT_CHANGES

#### DEFAULT_CACHE_SIZE

    public static final SQLiteConfig.Pragma DEFAULT_CACHE_SIZE

#### DEFER_FOREIGN_KEYS

    public static final SQLiteConfig.Pragma DEFER_FOREIGN_KEYS

#### EMPTY_RESULT_CALLBACKS

    public static final SQLiteConfig.Pragma EMPTY_RESULT_CALLBACKS

#### ENCODING

    public static final SQLiteConfig.Pragma ENCODING

#### FOREIGN_KEYS

    public static final SQLiteConfig.Pragma FOREIGN_KEYS

#### FULL_COLUMN_NAMES

    public static final SQLiteConfig.Pragma FULL_COLUMN_NAMES

#### FULL_SYNC

    public static final SQLiteConfig.Pragma FULL_SYNC

#### INCREMENTAL_VACUUM

    public static final SQLiteConfig.Pragma INCREMENTAL_VACUUM

#### JOURNAL_MODE

    public static final SQLiteConfig.Pragma JOURNAL_MODE

#### JOURNAL_SIZE_LIMIT

    public static final SQLiteConfig.Pragma JOURNAL_SIZE_LIMIT

#### LEGACY_FILE_FORMAT

    public static final SQLiteConfig.Pragma LEGACY_FILE_FORMAT

#### LOCKING_MODE

    public static final SQLiteConfig.Pragma LOCKING_MODE

#### PAGE_SIZE

    public static final SQLiteConfig.Pragma PAGE_SIZE

#### MAX_PAGE_COUNT

    public static final SQLiteConfig.Pragma MAX_PAGE_COUNT

#### READ_UNCOMMITTED

    public static final SQLiteConfig.Pragma READ_UNCOMMITTED

#### RECURSIVE_TRIGGERS

    public static final SQLiteConfig.Pragma RECURSIVE_TRIGGERS

#### REVERSE_UNORDERED_SELECTS

    public static final SQLiteConfig.Pragma REVERSE_UNORDERED_SELECTS

#### SECURE_DELETE

    public static final SQLiteConfig.Pragma SECURE_DELETE

#### SHORT_COLUMN_NAMES

    public static final SQLiteConfig.Pragma SHORT_COLUMN_NAMES

#### SYNCHRONOUS

    public static final SQLiteConfig.Pragma SYNCHRONOUS

#### TEMP_STORE

    public static final SQLiteConfig.Pragma TEMP_STORE

#### TEMP_STORE_DIRECTORY

    public static final SQLiteConfig.Pragma TEMP_STORE_DIRECTORY

#### USER_VERSION

    public static final SQLiteConfig.Pragma USER_VERSION

#### APPLICATION_ID

    public static final SQLiteConfig.Pragma APPLICATION_ID

#### LIMIT_LENGTH

    public static final SQLiteConfig.Pragma LIMIT_LENGTH

#### LIMIT_SQL_LENGTH

    public static final SQLiteConfig.Pragma LIMIT_SQL_LENGTH

#### LIMIT_COLUMN

    public static final SQLiteConfig.Pragma LIMIT_COLUMN

#### LIMIT_EXPR_DEPTH

    public static final SQLiteConfig.Pragma LIMIT_EXPR_DEPTH

#### LIMIT_COMPOUND_SELECT

    public static final SQLiteConfig.Pragma LIMIT_COMPOUND_SELECT

#### LIMIT_VDBE_OP

    public static final SQLiteConfig.Pragma LIMIT_VDBE_OP

#### LIMIT_FUNCTION_ARG

    public static final SQLiteConfig.Pragma LIMIT_FUNCTION_ARG

#### LIMIT_ATTACHED

    public static final SQLiteConfig.Pragma LIMIT_ATTACHED

#### LIMIT_LIKE_PATTERN_LENGTH

    public static final SQLiteConfig.Pragma LIMIT_LIKE_PATTERN_LENGTH

#### LIMIT_VARIABLE_NUMBER

    public static final SQLiteConfig.Pragma LIMIT_VARIABLE_NUMBER

#### LIMIT_TRIGGER_DEPTH

    public static final SQLiteConfig.Pragma LIMIT_TRIGGER_DEPTH

#### LIMIT_WORKER_THREADS

    public static final SQLiteConfig.Pragma LIMIT_WORKER_THREADS

#### TRANSACTION_MODE

    public static final SQLiteConfig.Pragma TRANSACTION_MODE

#### DATE_PRECISION

    public static final SQLiteConfig.Pragma DATE_PRECISION

#### DATE_CLASS

    public static final SQLiteConfig.Pragma DATE_CLASS

#### DATE_STRING_FORMAT

    public static final SQLiteConfig.Pragma DATE_STRING_FORMAT

#### BUSY_TIMEOUT

    public static final SQLiteConfig.Pragma BUSY_TIMEOUT

#### HEXKEY_MODE

    public static final SQLiteConfig.Pragma HEXKEY_MODE

#### PASSWORD

    public static final SQLiteConfig.Pragma PASSWORD

### Field Detail

#### pragmaName

    public final String pragmaName

#### choices

    public final String[] choices

#### description

    public final String description

### Method Detail

#### values

    public static SQLiteConfig.Pragma[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SQLiteConfig.Pragma c : SQLiteConfig.Pragma.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SQLiteConfig.Pragma valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getPragmaName

    public final String getPragmaName()